Bug 1002248 - Minor Version upgrade creates broken links in /etc/alternatives [NEEDINFO]
Minor Version upgrade creates broken links in /etc/alternatives
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: java-1.7.0-oracle (Show other bugs)
5.9
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: jiri vanek
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 13:41 EDT by Keith Jung
Modified: 2014-06-02 09:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-02 09:00:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pm-rhel: needinfo? (kejung)


Attachments (Terms of Use)

  None (edit)
Description Keith Jung 2013-08-28 13:41:39 EDT
Description of problem:
Applying the RPMs for java & javac components from java-1.7.0-oracle-1.7.0.15.x86_64 to java-1.7.0-oracle-1.7.0.21.x86_64 does not run a post install to update the links in /etc/alternatives this causes java components like jps to not resolve due to the link pointing at the old version which doesn't exist anymore. 

Version-Release number of selected component (if applicable):
Running on RHEL 5.9 Linux upgrading java & javac packages 
java-1.7.0-oracle-1.7.0.15.x86_64 to java-1.7.0-oracle-1.7.0.21.x86_64

How reproducible:
yum update 

Steps to Reproduce:
1.Run yum update on server that had java-1.7.0-oracle-1.7.0.15.x86_64 installed
2.will update to java-1.7.0-oracle-1.7.0.21.x86_64 to pick up current security fixes
3.Note you have many broken links in /etc/alternatives

Actual results:
Broken links in /etc/alternatives

Expected results:
Links in /etc/alternatives should point to new versions of the java components after the update

Additional info:
Comment 1 jiri vanek 2013-08-29 05:46:17 EDT
This sound to me like your alternatives are in manual mode. Then this is moreover correct behaviour. Nevertheless, the dangling symlinks should not be left even in manual mode. This sounds like bug in alternatives (although not probably)
Comment 2 RHEL Product and Program Management 2014-03-07 07:36:33 EST
This bug/component is not included in scope for RHEL-5.11.0 which is the last RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX (at the end of RHEL5.11 development phase (Apr 22, 2014)). Please contact your account manager or support representative in case you need to escalate this bug.
Comment 3 RHEL Product and Program Management 2014-06-02 09:00:20 EDT
Thank you for submitting this request for inclusion in Red Hat Enterprise Linux 5. We've carefully evaluated the request, but are unable to include it in RHEL5 stream. If the issue is critical for your business, please provide additional business justification through the appropriate support channels (https://access.redhat.com/site/support).

Note You need to log in before you can comment on or make changes to this bug.